\documentclass{standalone}
\usepackage{tikz}
\usetikzlibrary{arrows,automata, positioning}

\begin{document}
\begin{tikzpicture}[node distance=1cm]
	\tikzstyle{soc}=[fill=red, circle]
	\tikzstyle{eco}=[fill=green, circle]
	\tikzstyle{arrow} = [%
		thick,
		->,
		>=stealth,
		bend angle= 15
	]

	\node[soc] (m1s1) {};
	\node[eco] (m1e1) [right of=m1s1] {};
	\node[soc] (m1s2) [right of=m1e1] {};
	\node[eco] (m1e2) [right of=m1s2] {};
	\path (m1e1) edge [thick] node[yshift=.2cm] {1st} (m1s1);
	\path (m1s2) edge [thick] node[yshift=.2cm] {2nd} (m1e1);
	\path (m1e2) edge [thick] node[yshift=.2cm] {3rd} (m1s2);	
\end{tikzpicture}

\end{document}


